#!/usr/bin/python

"""
This file is part of Visuse.

Copyright (C) 2010 Jose Luis Lopez Pino jllopezpino@gmail.com

Visuse is free software: you can redistribute it and/or modify
it under 
the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Visuse is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Visuse.  If not, see <http://www.gnu.org/licenses/>.

"""

import gdata.photos.service
import gdata.media
import gdata.geo
from classes import Resultado, ImageLink

class Picasa(Resultado):
	def __init__(self, name, url, thumbnails):
		Resultado.__init__(self, name, url)
		self.thumbnail = thumbnails

gd_client = gdata.photos.service.PhotosService()


def AddResult(resultList, entry):
	thumbnailList = []
	for thumb in entry.media.thumbnail:
		thumbnail = ImageLink(thumb.url, thumb.width, thumb.height)
		thumbnailList.append(thumbnail)
		
	
	resultList.append(Picasa( \
		entry.title.text, \
		entry.content.src, \
		thumbnailList \
	))


def PrintPicasa(resultList):
	for n in range(0, len(resultList)):
		print '=====', n, '====='
		print resultList[n].name
		print resultList[n].url
		print resultList[n].summary
		print resultList[n].thumbnails[3]
		print '\n'



def SearchPicasa(search_terms):	
	gd_client = gdata.photos.service.PhotosService()

	resultList = []
	photos = gd_client.SearchCommunityPhotos(search_terms, limit='10')
	for iterador in photos.entry:
		AddResult(resultList, iterador)
	
	
	# PrintPicasa(resultList)
	
	return resultList

